### Home Classes Methods

### In Files

- lib/chronic/sign.rb

### Parent

Tag

### Methods

- ::scan
- ::scan_for_minus
- ::scan_for_plus
- #to_s

### Files

- LICENSE

### Class/Module Index

Quicksearch

- Chronic
- Chronic::Date
- Chronic::Grabber
- Chronic::Handler
- Chronic::Handlers
- Chronic::MiniDate
- Chronic::Numerizer
- Chronic::Ordinal
- Chronic::Parser
- Chronic::Pointer
- Chronic::Repeater
- Chronic::Scalar
- Chronic::Season
- Chronic::Separator
- Chronic::Sign
- Chronic::Span
- Chronic::Tag
- Chronic::Time
- Chronic::TimeZone
- Chronic::Token

No matching classes.

# Chronic::Sign

### Public Class Methods

scan(tokens, options) click to toggle source

Scan an Array of Token objects and apply any necessary Sign tags to each token.

tokens - An Array of tokens to scan. options - The Hash of options specified in Chronic::parse.

Returns an Array of tokens.

    # File lib/chronic/sign.rb, line 11
    def self.scan(tokens, options)
      tokens.each do |token|
        if t = scan_for_plus(token) then token.tag(t); next end
        if t = scan_for_minus(token) then token.tag(t); next end
      end
    end

scan_for_minus(token) click to toggle source

token - The Token object we want to scan.

Returns a new SignMinus object.

    # File lib/chronic/sign.rb, line 28
    def self.scan_for_minus(token)
      scan_for token, SignMinus, { /^-$/ => :minus }
    end

scan_for_plus(token) click to toggle source

token - The Token object we want to scan.

Returns a new SignPlus object.

    # File lib/chronic/sign.rb, line 21
    def self.scan_for_plus(token)
      scan_for token, SignPlus, { /^\+$/ => :plus }
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/chronic/sign.rb, line 32
    def to_s
      'sign'
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.